#include <QtGui>

#include "piste.h"

Piste::Piste (QWidget *parent) : QWidget(parent)
{
	m_backgroundColor = QColor(TAPIS);
	setAutoFillBackground(false);
}

#define BORDERSIZE 4.0
#define RAYON 12

void Piste::paintEvent (QPaintEvent *)
{
	QPainter painter(this);
	painter.setRenderHints(QPainter::Antialiasing, true);
	
	QPen pen(QBrush(Qt::black), BORDERSIZE);
	painter.setPen(pen);

	QLinearGradient gradient(rect().topLeft(), rect().bottomRight());
	gradient.setColorAt(0.0, m_backgroundColor.lighter(130));
	gradient.setColorAt(1.0, m_backgroundColor.darker(130));
	painter.setBrush(gradient);

	QRect surface(rect().adjusted(BORDERSIZE/2, BORDERSIZE/2, -BORDERSIZE/2, -BORDERSIZE/2));
	painter.drawRoundedRect(surface, RAYON, RAYON);
}

