
#ifndef RENDERAREA_H
#define RENDERAREA_H

#include "ui_yahtzee.h"
#include "figures.h"

// #include <QSize>
// #include <QTimer>

#include <QtGui>


#define CLASSIQUE		0
#define CHIFFRES		1
#define ROUGE_CLAIR		0xFFB7B6
#define JAUNE_CLAIR		0xF8FFB6
#define VERT_CLAIR		0xDDFFB6
#define BLEU_CLAIR		0xBBF7FF

#define IMAGES_PER_SECOND	24
#define MAX_ROLLS	2000

class DiceRenderArea : public QWidget
{
    Q_OBJECT

	public:
		DiceRenderArea (QWidget *parent = 0);
		~DiceRenderArea () { delete timer; };

		void diceDraw (QPainter&);
		void setDiceValue (int id, int value = -1);
		int getDiceValue () { return diceValue; };
/*		QSize minimumSizeHint () const { return QSize(50, 50); };
		QSize sizeHint () const { return QSize(50, 50); }*/
		void setChecked (bool);
		bool isChecked () { return checked; };
		void setAnimation (bool);
		void setSelectionColour(QColor value);
		void setSurfaceAspect(int value);
		void setCaro(int value, QString strValue = "cl") { caro = value; txtCaro = strValue.left(2); };
		void setLogo( bool drawLogo );
		void setMarge(int marge);
		void setEnabled(bool);
		bool isEnabled();
		void clearSeed();

		void paintEvent (QPaintEvent *event);
		void mouseReleaseEvent (QMouseEvent *event);
		
		static int alea1_6 () { return alea(6); };
		static int alea(int n) { return rand() % n + 1; };
		
	public slots:
		void setFast(bool newFast);

	private:
		QQueue<int> m_lancer[2];
		QList<int> m_pointNumList[8];
		qreal m_scaleXY;
		int m_sensAnim;
		bool m_logo;
		int m_marge;
		QIcon m_icon;
		bool fast;
		QColor selectionColour;
		int aspect;
		int diceValue;
		bool checked;
		bool enabled;
		QTimer *timer;
		int caro;
		QString txtCaro;
		bool animation;
		qreal m_angleAnim;

	signals:
		void diceChecked();

	private slots:
		void anim();
};

#endif
